module Dhatu
	class ResourceController < ApplicationController

		include ResourceHelper

	  before_action :configure_resource_controller
    before_action :require_read_permission, only: [:index, :show]
    before_action :require_create_permission, only: [:create]
    before_action :require_update_permission, only: [:update, :update_status, :mark_as_featured, :remove_from_featured]
    before_action :require_delete_permission, only: [:destroy]

    def get_category_filters(category_type)
      if params[:ct].to_s == "-1"
        @category = Dhatu::Category.new(id: -1, name: "None")
      elsif params[:ct]
        @category = Dhatu::Category.find_by_id(params[:ct])
      end
      @categories = Dhatu::Category.where(category_type: category_type).order("priority ASC, name ASC").all
    end

    def configure_filter_param_mapping
      @filter_param_mapping = default_filter_param_mapping
      @filter_param_mapping[:promotion] = :pr
      @filter_param_mapping[:category] = :ct
      @filter_param_mapping[:category_type] = :ctype
      @filter_param_mapping[:feature] = :ft
      @filter_param_mapping[:featured] = :featured
    end

	end
end
