Dhatu::Engine.routes.draw do

	get   '/dashboard/dhatu',   to: "dashboard#index",  as:   :dashboard

	scope :admin do

		resources :promotions do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :promotion_attributes do
			member do
				put :update_status, as:  :update_status
			end
		end

		resources :promotion_enquiries, only: [:index, :show] do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :bookings, only: [:index, :show] do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :services do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :projects do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :prices do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :branches do
			member do
				put :make_main, as:  :make_main
				put :remove_main, as:  :remove_main
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :pages do
			member do
				put :update_status, as:  :update_status
			end
		end

		resources :meta_tags do
			member do
				put :update_status, as:  :update_status
			end
		end

		resources :sections do
			member do
				put :update_status, as:  :update_status
			end
		end

		resources :testimonials do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		resources :events do
	    member do
	      put :update_status, as:  :update_status
	      put :mark_as_featured
	      put :remove_from_featured
	    end
	  end

	  resources :blog_posts do
	    member do
	      put :update_status, as:  :update_status
	      put :mark_as_featured
	      put :remove_from_featured
	    end
	  end

	  resources :offers do
	    member do
	      put :update_status
	      put :mark_as_featured
	      put :remove_from_featured
	    end
	  end

	  resources :team_members do
			member do
				put :update_status, as:  :update_status
				put :mark_as_featured
	      put :remove_from_featured
			end
		end

		get '/categories/choose_category_type', :controller => "categories", action: :choose_category_type, as:  :choose_category_type
		resources :categories do
      member do
        put :make_parent, as:  :make_parent
        put :update_status, as:  :update_status
        put :mark_as_featured, as:  :mark_as_featured
        put :remove_from_featured, as:  :remove_from_featured
      end
    end

    resources :photo_albums do
      member do
        put :make_parent, as:  :make_parent
        put :update_status, as:  :update_status
        put :mark_as_featured, as:  :mark_as_featured
        put :remove_from_featured, as:  :remove_from_featured
      end
    end

  end

end
