class CreatePages < ActiveRecord::Migration[5.1]
  def change
    create_table :pages do |t|
      t.string :name, :null => false, limit: 64
      t.string :code, :null => false, limit: 64
      
      t.references :feature

      t.string :status, :null => false, :default=>"unpublished", :limit=>16
      t.integer :priority, default: 1, null: false

      t.timestamps null: false
    end

    add_index :pages, :code, :unique => true
    add_index :pages, :status
  end
end
