class CreateSections < ActiveRecord::Migration[5.0]
  def self.up
    create_table :sections do |t|

      t.string :name, null: false, limit: 64
      t.string :code, null: false, limit: 64
      
      t.string :title, :null => false, :limit=>256
      t.string :sub_title, :null => false, :limit=>256
      
      t.string :short_description, :limit=>1048
      t.text :long_description

      t.string :button_one_text, :limit=>64
      t.string :button_two_text, :limit=>64
      t.string :button_one_link, :limit=>512
      t.string :button_two_link, :limit=>512
      
      t.string :status, :null => false, :default=>"unpublished", :limit=>16
      t.integer :priority, default: 1, null: false

      t.references :page, index: true

      t.boolean :enable_title, default: false
      t.boolean :enable_sub_title, default: false
      t.boolean :enable_short_description, default: false
      t.boolean :enable_long_description, default: false
      t.boolean :enable_button_one, default: false
      t.boolean :enable_button_two, default: false
      t.boolean :enable_cover_image, default: false
      t.boolean :enable_gallery_images, default: false

      t.timestamps null: false
    end
  end

  def self.down
    drop_table :sections
  end
end