class CreateProjects < ActiveRecord::Migration[5.1]
  def change
    create_table :projects do |t|
      t.string :name, :null => false, limit: 128
      t.string :permalink, :null => false, limit: 128

      t.string :short_description, null: true, limit: 512
      t.text   :description

      t.string :client, :null => false, limit: 128
      
      t.references :category
      
      t.string :status, :null => false, :default=>"unpublished", :limit=>16
      t.boolean :featured, default: false
      t.integer :priority, default: 1, null: false

      t.timestamps null: false
    end

    add_index :projects, :permalink, :unique => true
    add_index :projects, :status
  end
end
