class CreateMetaTags < ActiveRecord::Migration[5.1]
  def change
    create_table :meta_tags do |t|
      t.integer :meta_taggable_id
      t.string :meta_taggable_type

      # Type Can be Basic HTML, Open Graph, Twitter Card, Others
      t.string :meta_type, :null => false, limit: 16

      t.string :meta_key, :null => false, limit: 128
      t.string :meta_value, :null => true, limit: 1024

      t.string :status, :null => false, :default=>"unpublished", :limit=>16
      t.timestamps null: false
    end
    add_index :meta_tags, :status
    add_index(:meta_tags, [ :meta_taggable_id, :meta_taggable_type ])
  end
end
